/*
 * $Id: parser.h,v 1.3 2004-10-29 15:12:50 mark Exp $
 * 
 * parser.h:  parser header file
 *
 * Copyright (C) 2002, 2003, 2004 Mark Willson.
 * 
 * This file is part of the vc program.
 *
 * vc is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * vc is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with vc; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


/* ACTIONS */
#define A_SKIP 1
#define A_COPY 2
#define A_EXPON 3
#define A_EXPOFF 4
#define A_INC 5
#define A_MSG 6
#define A_ERR 7
#define A_NOP 8
#define A_DUMPSYM 9

/* ERROR CODES */
#define E_NUMBER 100	/* Error message number baseline */
#define E_BADEF 101		/* Unable to define variable */
#define E_BADSTR 102	/* Unterminated string */
#define E_BADSYM 103	/* Illegal symbol */
#define E_VAREXP 104	/* Variable expected */
#define E_TYPEDIFF 105	/* Operand types do not match */
#define E_BADTYPE 106	/* Unknown type in expression */
#define E_ASSFAIL 107	/* Unable to assign value to variable */
#define E_STREXP 108	/* String expected */
#define E_BADEXP 109	/* Illegal expression */
#define E_DIVZERO 110	/* Attempt to divide by zero */
#define E_NOMEM 111		/* Insufficient memory */
#define E_BADINT 112	/* Integer expected */
#define E_BADKEY 113    /* Unknown keyword */
#define E_STKOVR 114    /* Stack overflow */
#define E_STKUDR 115    /* Stack underflow */
#define E_STKEMP 116    /* Stack empty */

#define TRUE 1
#define FALSE 0

/* function prototypes */
int parse(char *, char **);
const char *geterrmsg(int);
int peval (char *);


